 <?php
       ini_set("display_errors", "off");
       //Código para incluir las librerias
	   include_once("conexion.php");
	   

	   //Conexión con el servidor
	   $link=ConectarseServidor();

	   //Conexión con la base de datos
	    ConectarseBaseDatos($link);

	  	
		//obtenemos el numero del credito al cual le vamos a realizar el pago de la cuota
		$num_credito     		= $_REQUEST["num_credito"];
		
		//construye cadena con sentencia sql
		$query = "SELECT id_amortizacion,amortizacion_capital,saldo_capital,cuota_pendiente
FROM amortizacion, credito
WHERE num_credito = $num_credito AND interes > 0 AND amortizacion_capital > 0 
AND num_credito = nro_credito
ORDER BY vencimiento ASC LIMIT 0 , 1";
		
        /*Ejecución de la inserción*/
	     $respuesta=consultas($query);
		 
		 
		 while($row = mysql_fetch_array($respuesta)){
			$id 	 			= $row['id_amortizacion'];
			$amortizacion 		= $row['amortizacion_capital'];
			$saldo_capital 	 	= $row['saldo_capital'];
			$cuota 				= $row['cuota_pendiente'];
		 }
		 
		 
		 $cuota 			= $cuota - 1; //disminuimos las cuotas pendientes
		 $saldo_capital 	= $saldo_capital - $amortizacion;
		 
		 //consulta para aplicar la cuota
		 $query = "update amortizacion set interes = 0,	amortizacion_capital = 0 
		 WHERE num_credito = $num_credito AND interes > 0 AND amortizacion_capital > 0 AND id_amortizacion = $id";
		
        /*Ejecución de la inserción*/
	     $respuesta=consultas($query);
		 
		 //ahora actualizamos el saldo_capital y el nro de cuotas
		 $query = "update credito set cuota_pendiente = $cuota,	saldo_capital = $saldo_capital WHERE nro_credito = $num_credito";
		
        /*Ejecución de la inserción*/
	     $respuesta=consultas($query);
		 
		 /*bitacora*/
		 $concepto 	= "Registro de pago al credito ".$num_credito;
		 $idUsuario =  $_SESSION['usuario'];
		 $bitacora 	= bitacora($idUsuario,$concepto);

    	/*Función para desconectarse de la base de datos*/
	    desconectarse($link);//cierra la conexion
 	
?>